C3P0Defaults (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class C3P0Defaults

- java.lang.Object
- - com.mchange.v2.c3p0.impl.C3P0Defaults

-     public final class C3P0Defaults
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0Defaults()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `acquireIncrement()`
    `static int` | `acquireRetryAttempts()`
    `static int` | `acquireRetryDelay()`
    `static boolean` | `autoCommitOnClose()`
    `static java.lang.String` | `automaticTestTable()`
    `static boolean` | `breakAfterAcquireFailure()`
    `static int` | `checkoutTimeout()`
    `static java.lang.String` | `connectionCustomizerClassName()`
    `static java.lang.String` | `connectionTesterClassName()`
    `static java.lang.String` | `contextClassLoaderSource()`
    `static java.lang.String` | `dataSourceName()`
    `static boolean` | `debugUnreturnedConnectionStackTraces()`
    `static java.lang.String` | `driverClass()`
    `static java.util.Map` | `extensions()`
    `static java.lang.String` | `factoryClassLocation()`
    `static boolean` | `forceIgnoreUnresolvedTransactions()`
    `static boolean` | `forceSynchronousCheckins()`
    `static boolean` | `forceUseNamedDriverClass()`
    `static java.util.Set` | `getKnownProperties(java.lang.Object useless)`
    `static int` | `idleConnectionTestPeriod()`
    `static int` | `initialPoolSize()`
    `static boolean` | `isKnownProperty(java.lang.String s)`
    `static java.lang.String` | `jdbcUrl()`
    `static int` | `maxAdministrativeTaskTime()`
    `static int` | `maxConnectionAge()`
    `static int` | `maxIdleTime()`
    `static int` | `maxIdleTimeExcessConnections()`
    `static int` | `maxPoolSize()`
    `static int` | `maxStatements()`
    `static int` | `maxStatementsPerConnection()`
    `static int` | `minPoolSize()`
    `static int` | `numHelperThreads()`
    `static java.lang.String` | `overrideDefaultPassword()`
    `static java.lang.String` | `overrideDefaultUser()`
    `static java.lang.String` | `password()`
    `static java.lang.String` | `preferredTestQuery()`
    `static boolean` | `privilegeSpawnedThreads()`
    `static int` | `propertyCycle()`
    `static int` | `statementCacheNumDeferredCloseThreads()`
    `static boolean` | `testConnectionOnCheckin()`
    `static boolean` | `testConnectionOnCheckout()`
    `static int` | `unreturnedConnectionTimeout()`
    `static java.lang.String` | `user()`
    `static java.lang.String` | `userOverridesAsString()`
    `static boolean` | `usesTraditionalReflectiveProxies()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0Defaults

          public C3P0Defaults()

  - ### Method Detail

    - #### getKnownProperties

          public static java.util.Set getKnownProperties(java.lang.Object useless)

    - #### isKnownProperty

          public static boolean isKnownProperty(java.lang.String s)

    - #### maxStatements

          public static int maxStatements()

    - #### maxStatementsPerConnection

          public static int maxStatementsPerConnection()

    - #### initialPoolSize

          public static int initialPoolSize()

    - #### minPoolSize

          public static int minPoolSize()

    - #### maxPoolSize

          public static int maxPoolSize()

    - #### idleConnectionTestPeriod

          public static int idleConnectionTestPeriod()

    - #### maxIdleTime

          public static int maxIdleTime()

    - #### unreturnedConnectionTimeout

          public static int unreturnedConnectionTimeout()

    - #### propertyCycle

          public static int propertyCycle()

    - #### acquireIncrement

          public static int acquireIncrement()

    - #### acquireRetryAttempts

          public static int acquireRetryAttempts()

    - #### acquireRetryDelay

          public static int acquireRetryDelay()

    - #### checkoutTimeout

          public static int checkoutTimeout()

    - #### statementCacheNumDeferredCloseThreads

          public static int statementCacheNumDeferredCloseThreads()

    - #### connectionCustomizerClassName

          public static java.lang.String connectionCustomizerClassName()

    - #### contextClassLoaderSource

          public static java.lang.String contextClassLoaderSource()

    - #### connectionTesterClassName

          public static java.lang.String connectionTesterClassName()

    - #### automaticTestTable

          public static java.lang.String automaticTestTable()

    - #### driverClass

          public static java.lang.String driverClass()

    - #### forceUseNamedDriverClass

          public static boolean forceUseNamedDriverClass()

    - #### jdbcUrl

          public static java.lang.String jdbcUrl()

    - #### numHelperThreads

          public static int numHelperThreads()

    - #### breakAfterAcquireFailure

          public static boolean breakAfterAcquireFailure()

    - #### testConnectionOnCheckout

          public static boolean testConnectionOnCheckout()

    - #### testConnectionOnCheckin

          public static boolean testConnectionOnCheckin()

    - #### autoCommitOnClose

          public static boolean autoCommitOnClose()

    - #### forceIgnoreUnresolvedTransactions

          public static boolean forceIgnoreUnresolvedTransactions()

    - #### debugUnreturnedConnectionStackTraces

          public static boolean debugUnreturnedConnectionStackTraces()

    - #### usesTraditionalReflectiveProxies

          public static boolean usesTraditionalReflectiveProxies()

    - #### privilegeSpawnedThreads

          public static boolean privilegeSpawnedThreads()

    - #### preferredTestQuery

          public static java.lang.String preferredTestQuery()

    - #### userOverridesAsString

          public static java.lang.String userOverridesAsString()

    - #### factoryClassLocation

          public static java.lang.String factoryClassLocation()

    - #### overrideDefaultUser

          public static java.lang.String overrideDefaultUser()

    - #### overrideDefaultPassword

          public static java.lang.String overrideDefaultPassword()

    - #### user

          public static java.lang.String user()

    - #### password

          public static java.lang.String password()

    - #### maxAdministrativeTaskTime

          public static int maxAdministrativeTaskTime()

    - #### maxIdleTimeExcessConnections

          public static int maxIdleTimeExcessConnections()

    - #### maxConnectionAge

          public static int maxConnectionAge()

    - #### dataSourceName

          public static java.lang.String dataSourceName()

    - #### forceSynchronousCheckins

          public static boolean forceSynchronousCheckins()

    - #### extensions

          public static java.util.Map extensions()